Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::NodeObserver`

## Overview

    interface NodeObserver

The node observer interface. Observers should implement this interface to receive information about the state of the IceGrid nodes.

### Operation Index

`init`

  The init operation is called after the registration of the observer to communicate the current state of the node to the observer implementation.

`nodeUp`

  The nodeUp operation is called to notify the observer that a node came up.

`nodeDown`

  The nodeDown operation is called to notify the observer that a node went down.

`updateServer`

  The updateServer operation is called to notify the observer that the state of a server changed.

`updateAdapter`

  The updateAdapter operation is called to notify the observer that the state of an adapter changed.

## `init`

    [ "ami" ]
    void init(NodeDynamicInfoSeq nodes);

The init operation is called after the registration of the observer to communicate the current state of the node to the observer implementation.

### Parameters

`nodes`

  The current state of the nodes.

## `nodeUp`

    void nodeUp(NodeDynamicInfo node);

The nodeUp operation is called to notify the observer that a node came up.

### Parameters

`node`

  The node state.

## `nodeDown`

    void nodeDown(string name);

The nodeDown operation is called to notify the observer that a node went down.

### Parameters

`name`

  The node name.

## `updateServer`

    void updateServer(string node,
        ServerDynamicInfo updatedInfo);

The updateServer operation is called to notify the observer that the state of a server changed.

### Parameters

`node`

  The node hosting the server.

`updatedInfo`

  The new server state.

## `updateAdapter`

    void updateAdapter(string node,
        AdapterDynamicInfo updatedInfo);

The updateAdapter operation is called to notify the observer that the state of an adapter changed.

### Parameters

`node`

  The node hosting the adapter.

`updatedInfo`

  The new adapter state.

<<< Previous | Home | Next >>>
`IceGrid::NodeNotExistException` | Up | `IceGrid::NodeUnreachableException`